diff --git a/tensorflow/core/kernels/data/experimental/snapshot_dataset_op.cc b/tensorflow/core/kernels/data/experimental/snapshot_dataset_op.cc
index 01044957857..e7307d47c4d 100644
--- tensorflow/core/kernels/data/experimental/snapshot_dataset_op.cc.orig
+++ tensorflow/core/kernels/data/experimental/snapshot_dataset_op.cc
@@ -64,15 +64,22 @@ namespace tensorflow {
 namespace data {
 namespace experimental {
 
-/* static */ constexpr const char* const SnapshotDatasetV2Op::kCompression;
-/* static */ constexpr const char* const SnapshotDatasetV2Op::kCompressionAuto;
-/* static */ constexpr const char* const SnapshotDatasetV2Op::kReaderFunc;
-/* static */ constexpr const char* const SnapshotDatasetV2Op::kShardFunc;
-/* static */ constexpr const char* const
-    SnapshotDatasetV2Op::kReaderFuncTarguments;
-/* static */ constexpr const char* const
-    SnapshotDatasetV2Op::kShardFuncTarguments;
-/* static */ constexpr const int SnapshotDatasetV2Op::kFileFormatVersion;
+  /* static */ const char* const SnapshotDatasetV2Op::kDatasetType = "Snapshot";
+  /* static */ const char* const SnapshotDatasetV2Op::kOutputTypes = "output_types";
+  /* static */ const char* const SnapshotDatasetV2Op::kOutputShapes = "output_shapes";
+  /* static */ const char* const SnapshotDatasetV2Op::kCompression = "compression";
+  /* static */ const char* const SnapshotDatasetV2Op::kReaderPrefix = "reader_prefix";
+  /* static */ const char* const SnapshotDatasetV2Op::kWriterPrefix = "writer_prefix";
+  /* static */ const char* const SnapshotDatasetV2Op::kCompressionAuto = "AUTO";
+  /* static */ const char* const SnapshotDatasetV2Op::kReaderFunc = "reader_func";
+  /* static */ const char* const SnapshotDatasetV2Op::kShardFunc = "shard_func";
+  /* static */ const char* const SnapshotDatasetV2Op::kReaderFuncOtherArgs =
+      "reader_func_other_args";
+  /* static */ const char* const SnapshotDatasetV2Op::kShardFuncOtherArgs =
+      "shard_func_other_args";
+  /* static */ const char* const SnapshotDatasetV2Op::kReaderFuncTarguments =
+      "Treader_func_args";
+  /* static */ const char* const SnapshotDatasetV2Op::kShardFuncTarguments = "Tshard_func_args";
 
 // ==== Snapshot Implementation ====
 
diff --git a/tensorflow/core/kernels/data/experimental/snapshot_dataset_op.h b/tensorflow/core/kernels/data/experimental/snapshot_dataset_op.h
index d7097f43190..9b0a4cb9460 100644
--- tensorflow/core/kernels/data/experimental/snapshot_dataset_op.h.orig
+++ tensorflow/core/kernels/data/experimental/snapshot_dataset_op.h
@@ -40,22 +40,19 @@ namespace experimental {
 
 class SnapshotDatasetV2Op : public UnaryDatasetOpKernel {
  public:
-  static constexpr const char* const kDatasetType = "Snapshot";
-  static constexpr const char* const kOutputTypes = "output_types";
-  static constexpr const char* const kOutputShapes = "output_shapes";
-  static constexpr const char* const kCompression = "compression";
-  static constexpr const char* const kReaderPrefix = "reader_prefix";
-  static constexpr const char* const kWriterPrefix = "writer_prefix";
-  static constexpr const char* const kCompressionAuto = "AUTO";
-  static constexpr const char* const kReaderFunc = "reader_func";
-  static constexpr const char* const kShardFunc = "shard_func";
-  static constexpr const char* const kReaderFuncOtherArgs =
-      "reader_func_other_args";
-  static constexpr const char* const kShardFuncOtherArgs =
-      "shard_func_other_args";
-  static constexpr const char* const kReaderFuncTarguments =
-      "Treader_func_args";
-  static constexpr const char* const kShardFuncTarguments = "Tshard_func_args";
+  static const char* const kDatasetType;
+  static const char* const kOutputTypes;
+  static const char* const kOutputShapes;
+  static const char* const kCompression;
+  static const char* const kReaderPrefix;
+  static const char* const kWriterPrefix;
+  static const char* const kCompressionAuto;
+  static const char* const kReaderFunc;
+  static const char* const kShardFunc;
+  static const char* const kReaderFuncOtherArgs;
+  static const char* const kShardFuncOtherArgs;
+  static const char* const kReaderFuncTarguments;
+  static const char* const kShardFuncTarguments;
 
   explicit SnapshotDatasetV2Op(OpKernelConstruction* ctx);
 
